Resources

System Requirements
SAS® Governance and Compliance Manager 7.3

Overview

This document describes the minimum requirements for installing and running SAS Governance and Compliance Manager 7.3 software, which includes administrative tools, a web application, and reporting. SAS Governance and Compliance Manager 7.3 requires SAS 9.4M5.

Important: SAS Visual Analytics Administration and Reporting Server and Mid-Tier are not optional components. They must be installed when you install SAS Governance and Compliance Manager 7.3.

The information in this document is current as of the release date of SAS Governance and Compliance Manager 7.3.

Server-Tier Requirements

SAS Governance and Compliance Manager is available for both distributed and non-distributed SAS LASR Analytic Server deployments. These system requirements apply to both LASR deployments. The headings below indicate whether components apply to a specific LASR deployment. 

SAS Governance and Compliance Manager

Select a platform:

Memory
Only 64-bit operating systems are supported. The recommended minimum memory requirement for SAS Governance and Compliance Manager 7.3 is 8 GB.

SAS Governance and Compliance Manager includes two SAS/ACCESS Engines of choice, (Microsoft SQL Server, PostgreSQL, ODBC, or Oracle) and three SAS Metadata Bridges of choice.

SAS Content for Governance and Compliance Manager is obtained only through the external download site by customers that have a current license.

SAS Visual Analytics Administration and Reporting Server

Select a platform:

Important: SAS Visual Analytics Administration and Reporting Server cannot be a delayed or an optional deployment. It must be installed, configured, and running when you install SAS Governance and Compliance Manager 7.3.

SAS Visual Analytics Administration and Reporting Server includes a standard SAS/ACCESS engine of choice. Currently, Hadoop is the only supported option. SAS recommends that you install SAS Visual Analytics Administration and Reporting Server on a separate machine from the solution software.

For Hadoop Support

Base SAS, SAS/ACCESS engines, and SAS Visual Analytics Administration and Reporting Server can be installed on the head node of the commodity hardware (symmetric) or on separate hardware (asymmetric). The Distributed LASR Base SAS components for SAS Visual Analytics Administration and Reporting can therefore be installed on Windows for x64 while working with the Linux for x64 LASR grid.

SAS LASR Analytic Server (Non-Distributed LASR)

Select a platform:

SAS LASR Analytic Server comes with a standard SAS/ACCESS engine of choice.

If you want to co-locate SAS software with Hadoop File System (HDFS), the maintenance release number of your SAS 9.4 software determines the requirements for your co-located Hadoop deployment:

  • For SAS 9.4 M4 and later, modify your supported Hadoop environment with files from SAS Plug-ins for Hadoop.
  • For SAS 9.4 M3 and earlier, modify your supported Hadoop environment with files from SAS High-Performance Deployment for Hadoop.

For information about supported Hadoop distributions, refer to http://support.sas.com/resources/thirdpartysupport/v94/hadoop/hadoop-distributions.html. The plug-ins require additional configuration. For more information, see SAS High-Performance Analytics infrastructure 3.5: Installation and Configuration Guide at http://support.sas.com/documentation/onlinedoc/hp-analytics-infrastructure/35/hpaicg.pdf.

SAS LASR Analytic Server (Distributed LASR) on Linux for x64

SAS Products installed on this machine:
  • SAS High-Performance Node Installation 3.7
  • SAS Plug-ins for Hadoop 1.01

Supported Environments:
  • Oracle Linux 6.1 (64-bit version) on the x64 chip family
  • Red Hat Enterprise Linux 6.1 (64-bit version) on the x64 chip family
  • Red Hat Enterprise Linux 7.1 (64-bit version) on the x64 chip family
  • SUSE Linux Enterprise Server 11 SP1 (64-bit version) on the x64 chip family

SAS Metadata Server

Select a platform:

SAS makes the following recommendations for SAS Metadata Server deployments:

  • a 64-bit host system
  • a dedicated machine to simplify tuning, management, and diagnostics
  • multi-core server hardware because SAS Metadata Server is multi-threaded
  • four or more cores for production deployments

The disk I/O performance of any server-class system should be sufficient. Memory requirements are highly dependent on the product mix and usage, but 8 GB of RAM are sufficient for most large deployments. For many deployments, 4 GB of RAM are sufficient and should be considered a minimum, unless the specific deployment is tested and verified to require less memory.

Databases

SAS Governance and Compliance Manager requires one of the following databases:

  • Oracle
  • PostgreSQL
  • Microsoft SQL Server

The following database versions are supported:

  • Oracle Enterprise Edition 9, 10 and 11 are supported (a documented bug in Oracle means that version 10.2.0.3 is not supported).
    SAS Governance and Compliance Manager requires a JDBC jar file from each database vendor that is suitable for the version of Java being used by the Application Server. Suitable JDBC jar files will be installed with your Oracle Client and Server. Or you can download Oracle drivers from http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/index.html. The JDBC driver version must be compatible with the database version.
  • PostgreSQL 8.4+
    SAS Governance and Compliance Manager uses the postgresql-9.0-801.jdbc3.jar PostgreSQL driver. You can download a copy of the PostgreSQL driver from http://jdbc.postgresql.org/download.html.
  • Microsoft SQL Server 2008, 2008 R2, or 2012

    SAS Governance and Compliance Manager can use any of the following drivers:

    • SQL Server Native Client 2008 driver, “Microsoft SQL Server 2008 Native Client.”
    • SQL Server Native Client 2008 R2 driver, “Microsoft SQL Server 2008 R2 Native Client.”
    • SQL Server Native Client 2012 driver, “Microsoft SQL Server Native Client 11.0.”

    Note: Microsoft SQL Server is only supported on Microsoft Windows environments.

SAS Governance and Compliance Manager 7.3 depends on SAS Shared Services for various components. For example, SAS Workflow is delivered with the SAS Intelligence Platform as a component of SAS Shared Services. In addition, SAS Governance and Compliance Manager uses SAS Content Server for storing files in the WebDAV repository.

SAS Data Servers

SAS Governance and Compliance Manager contains a SAS data server (SAS Governance and Compliance Manager Data Server), which requires additional configuration.

The size of the data server is large.

Note: When you configure your software, the size of each data server must be considered.

Before you install, update, or add products and solutions that result in the deployment of one or more SAS data servers to the same machine, kernel parameter changes for shared memory and semaphores are required. For details about configuration of small, medium, and large data servers, see the section "Tuning the PostgreSQL Data Server" in the guide SAS 9.4 Web Applications: Tuning for Performance and Scalability, at http://go.documentation.sas.com/?cdcId=bicdc&cdcVersion=9.4&docsetId=appsrvtuning&docsetTarget=p0pj0sciz5c3b2n1o5qp95b6uo5x.htm&locale=en


Middle-Tier Requirements

SAS Governance and Compliance Manager is available for both distributed and non-distributed SAS LASR Analytic Server deployments. These system requirements apply to both LASR deployments. The headings below indicate whether components apply to a specific LASR deployment. 

SAS Governance and Compliance Manager Mid-Tier

Select a platform:

Memory
Only 64-bit operating systems are supported. The recommended minimum memory requirement for SAS Governance and Compliance Manager 7.3 is 8 GB.

Apache Solr is a third party open source software application that can be obtained only through the external download site by customers that have a current SAS Governance and Compliance Manager license. While the Apache Solr software is optional, it is highly recommended that users install and use it with SAS Governance and Compliance Manager.

SAS Visual Analytics Administration and Reporting Mid-Tier

Select a platform:

Important: SAS Visual Analytics Administration and Reporting Mid-tier cannot be a delayed or an optional deployment. It must be installed, configured, and running when you install SAS Governance and Compliance Manager 7.3.

SAS recommends that you install SAS Visual Analytics Administration and Reporting Mid-Tier on a separate machine from the solution software.

Note: The minimum supported environment is a 4-server, 64-core configuration with 1 TB of RAM.

Web Application Servers

When you install your SAS solution software, SAS Deployment Manager installs and configures the required web application servers and web servers.

To install these servers, select one of the supported operating systems for the middle tier.

Note: These servers cannot be installed on the z/OS or 32-bit Windows platforms.


Client-Tier Requirements

SAS Governance and Compliance Manager Client

Select a platform:

SAS Visual Analytics Mobile Clients

SAS Visual Analytics Mobile Clients (SAS Mobile BI) are available for the Apple iPad and Android tablets via free downloads from app stores.

Web Browsers

The list of web browsers that SAS supports is updated as new products are tested and approved. For the latest information, visit the SAS 9.4 Support for Web Browsers and Plug-Ins page at https://support.sas.com/en/documentation/third-party-software-reference/9-4/support-for-9-4-web-browsers.html.

Note: SAS Visual Analytics Administration and Reporting requires Adobe Flash Player 11.1 or higher.


Third-Party Software

SAS software may be provided with certain third-party software, including but not limited to open-source software, which is licensed under its applicable third-party software license agreement. For license information about third-party software distributed with SAS software, refer to http://support.sas.com/thirdpartylicenses.

Technical Support

For additional information, refer to SAS Technical Support at http://support.sas.com/techsup/.

SAS® and all other SAS Institute Inc. product or service names are registered trademarks or trademarks of SAS Institute Inc. in the USA and other countries. Other brand and product names are trademarks of their respective companies.
® indicates USA registration.
Copyright © 2017 SAS Institute Inc., Cary, NC, USA. All rights reserved.